Package com.avaya.clientservices.contact

## Interface ContactLimits

-     public interface ContactLimits

  This class defines current limits for various enterprise contact service operations supported by current provider.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getMaxEmailAddressesPerContact()` | Returns maximum email addresses per contact.
    `long` | `getMaxIMAddressesPerContact()` | Returns maximum IM addresses per contact.
    `long` | `getMaxPhoneNumbersPerContact()` | Returns maximum phone numbers per contact.
    `long` | `getMaxSearchRecordsPerRequest()` | Returns maximum search records per request.
    `java.util.Set<ContactEmailAddressType>` | `getSupportedEmailAddressTypes()` | Returns supported email address types.
    `java.util.Set<java.lang.String>` | `getSupportedIMAddressTypes()` | Returns supported IM address types.
    `java.util.Set<ContactPhoneNumberType>` | `getSupportedPhoneNumberTypes()` | Returns supported phone number types.
    `java.util.Set<ContactSearchScopeType>` | `getSupportedSearchScopeTypes()` | Returns supported search scope types.

- - ### Method Detail

    - #### getSupportedPhoneNumberTypes

          java.util.Set<ContactPhoneNumberType> getSupportedPhoneNumberTypes()

      Returns supported phone number types.
      Returns:
        supported phone number types.

    - #### getSupportedEmailAddressTypes

          java.util.Set<ContactEmailAddressType> getSupportedEmailAddressTypes()

      Returns supported email address types.
      Returns:
        supported email address types.

    - #### getSupportedIMAddressTypes

          java.util.Set<java.lang.String> getSupportedIMAddressTypes()

      Returns supported IM address types.
      Returns:
        supported IM address types.

    - #### getSupportedSearchScopeTypes

          java.util.Set<ContactSearchScopeType> getSupportedSearchScopeTypes()

      Returns supported search scope types.
      Returns:
        supported search scope types.

    - #### getMaxPhoneNumbersPerContact

          long getMaxPhoneNumbersPerContact()

      Returns maximum phone numbers per contact.
      Returns:
        maximum phone numbers per contact.

    - #### getMaxEmailAddressesPerContact

          long getMaxEmailAddressesPerContact()

      Returns maximum email addresses per contact.
      Returns:
        maximum email addresses per contact.

    - #### getMaxIMAddressesPerContact

          long getMaxIMAddressesPerContact()

      Returns maximum IM addresses per contact.
      Returns:
        maximum IM addresses per contact.

    - #### getMaxSearchRecordsPerRequest

          long getMaxSearchRecordsPerRequest()

      Returns maximum search records per request.
      Returns:
        maximum search records per request.